=== debian/changelog ===
ros-noetic-pybind11-catkin (2.10.3-2focal) focal; urgency=high

  * Ignore DESTDIR for the internal ExternalProject_Add() command (#19 <https://github.com/ipab-slmc/pybind11_catkin/issues/19>)
  * Update CI from Travis to GitHub Actions
  * Update pybind11 to version 2.10.3 to support python3.11 (#21 <https://github.com/ipab-slmc/pybind11_catkin/issues/21>)
  * Update pybind to version 2.6.1 (#13 <https://github.com/ipab-slmc/pybind11_catkin/issues/13>)
  * Contributors: Henry Schreiner, Hongzhuo Liang, Johannes Meyer, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Thu, 09 Feb 2023 00:00:00 -0000

ros-noetic-pybind11-catkin (2.5.0-2focal) focal; urgency=high

  * Update to v2.5.0, add compatibility with ROS Noetic (20.04) (#12 <https://github.com/ipab-slmc/pybind11_catkin/issues/12>)
  * Bump CMake version to avoid CMP0048. This breaks support with ROS Indigo (14.04).
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sat, 23 May 2020 23:00:00 -0000

ros-noetic-pybind11-catkin (2.4.3-2focal) focal; urgency=high

  * Clean-up of CMake files and logic (by @rhaschke) - #11 <https://github.com/ipab-slmc/pybind11_catkin/issues/11>
  * Ensure pybind11 uses same python version as catkin
  * Update pybind11 version to 2.4.3
  * Clarify bleeding edge vs releases in README - cf #9 <https://github.com/ipab-slmc/pybind11_catkin/issues/9>
  * Contributors: Robert Haschke, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 23 Dec 2019 00:00:00 -0000

ros-noetic-pybind11-catkin (2.2.4-2focal) focal; urgency=high

  * Fixes installation of generated files
  * Fix for arm-based builds
  * Add dummy header to make bloom happy
  * Update to v2.2.4
  * Do not overwrite the exported include_dirs
    - Addresses ros/rosdistro#18473 <https://github.com/ros/rosdistro/issues/18473>
  * Update CMake logic to export devel/install more cleanly
  * Added links to examples in readme.
  * Update README.md
  * Contributors: Artur Miller, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Tue, 15 Jan 2019 00:00:00 -0000

ros-noetic-pybind11-catkin (2.2.3-2focal) focal; urgency=high

  * Adds workaround for both devel and install workspaces
  * Add README with Travis Badge
  * Add ROS Industrial CI
  * pybind11_catkin: Do not change source directory on build
  * Silence pybind11 warning
  * Compatibility with 16.04 and ROS Kinetic
  * pybind11 via http clone
  * Added back python version override
  * pybind11 >> pybind11_catkin with the submodule changed to external project
  * Contributors: Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Wed, 11 Jul 2018 23:00:00 -0000
