=== debian/control ===
Source: ros-noetic-pybind11-catkin
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <wolfgang@robots.ox.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-pybind11-catkin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-dev, python3-numpy
Description: A package vendoring recent versions of pybind11 and providing extra macros for easier integration.
